Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class IDLTypePOA

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.IDLTypePOA

All Implemented Interfaces:
  IDLTypeOperations, InvokeHandler, IRObjectOperations

Direct Known Subclasses:
  IDLTypePOATie

public abstract class IDLTypePOA
extends Servant
implements IDLTypeOperations, InvokeHandler

The base interface IDLType is inherited by all IR objects that represent OMG IDL types. It provides access to the TypeCode describing the type, and is used in defining other interfaces wherever definitions of IDL types must be referenced.

Constructor Summary
`IDLTypePOA()`

Method Summary
`java.lang.String[]` | `_all_interfaces(POA poa, byte[] objectId)`
`OutputStream` | `_invoke(java.lang.String opName, InputStream _is, ResponseHandler handler)`
`IDLType` | `_this()`
`IDLType` | `_this(ORB orb)`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Constructor Detail

### IDLTypePOA

    public IDLTypePOA()

Method Detail

### _this

    public IDLType _this()

### _this

    public IDLType _this(ORB orb)

### _all_interfaces

    public java.lang.String[] _all_interfaces(POA poa,
                                              byte[] objectId)

  Overrides:
    `_all_interfaces` in class `Servant`

### _invoke

    public final OutputStream _invoke(java.lang.String opName,
                                      InputStream _is,
                                      ResponseHandler handler)

  Specified by:
    `_invoke` in interface `InvokeHandler`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD